#
# spec file for package mailx (Version 11.25)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 krb5-devel less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt postfix procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           mailx
BuildRequires:  krb5-devel openssl-devel postfix
URL:            http://nail.sourceforge.net/
License:        Other License(s), see package
Group:          Productivity/Networking/Email/Utilities
Provides:       mail nail
Requires:       smtp_daemon
Autoreqprov:    on
Version:        11.25
Release:        14.2
Summary:        A MIME-Capable Implementation of the mailx Command
Source:         nail-%{version}.tar.bz2
Patch:          nail-%{version}.dif
Patch1:         nail-%{version}-path.dif
Patch2:         nail-%{version}-replyto.patch
Patch3:         nail-%{version}-ttychar.dif
Patch4:         nail-%{version}-toaddr.dif
Patch5:         nail-%{version}-strip.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Nail is a mail user agent derived from Berkeley Mail 8.1.  It is
intended to provide the functionality of the POSIX.2 mailx command with
additional support for MIME messages, POP3, and SMTP.  In recent system
environments, nail is Unicode/UTF-8 capable.  Further, it contains some
minor enhancements like the ability to set a "From:" address.



Authors:
--------
    Gunnar Ritter <Gunnar.Ritter@pluto.uni-freiburg.de>

%debug_package
%prep
%setup -n nail-%{version}
%patch1 -p0 -b .path
%patch2 -p0 -b .rplyto
%patch3 -p0 -b .ttychr
%patch4 -p0 -b .toaddr
%patch  -p0
%patch5

%build
    CC=gcc
    CFLAGS="${RPM_OPT_FLAGS} -pipe -D_GNU_SOURCE"
    export CC CFLAGS
    make PREFIX=/usr CC="$CC" CFLAGS="$CFLAGS"
    tbl < nail.1 | groff -mandocdb -Tps > manual.ps
    gzip -9f manual.ps

%install
    make install PREFIX=/usr DESTDIR=${RPM_BUILD_ROOT}
    rm -rf ${RPM_BUILD_ROOT}/bin	
    mkdir  ${RPM_BUILD_ROOT}/bin
    ln -sf ../usr/bin/nail ${RPM_BUILD_ROOT}/bin/mail
    ln -sf nail ${RPM_BUILD_ROOT}/usr/bin/Mail
    ln -sf nail ${RPM_BUILD_ROOT}/usr/bin/mail
    ln -sf nail ${RPM_BUILD_ROOT}/usr/bin/mailx
    ln -sf nail.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/Mail.1.gz
    ln -sf nail.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/mail.1.gz
    ln -sf nail.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/mailx.1.gz
    install -m 0644 mail.rc ${RPM_BUILD_ROOT}/etc
    mkdir -p ${RPM_BUILD_ROOT}%{_defaultdocdir}/%{name}
    mv ${RPM_BUILD_ROOT}/nail.rc ${RPM_BUILD_ROOT}%{_defaultdocdir}/%{name}

%files
%defattr(-,root,root)
%doc COPYING README manual.ps.gz nail.rc
/bin/mail
%config /etc/mail.rc
/usr/bin/nail
/usr/bin/Mail
/usr/bin/mail
/usr/bin/mailx
%doc %{_mandir}/man1/nail.1.gz
%doc %{_mandir}/man1/Mail.1.gz
%doc %{_mandir}/man1/mail.1.gz
%doc %{_mandir}/man1/mailx.1.gz

%changelog -n mailx
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - schwab@suse.de
- Don't strip binaries.
* Mon Oct 17 2005 - werner@suse.de
- Update to nail 11.25
  * Port all out patches to this version
  * Use dummy option for the reply-to patch because the double
  colon feature of the glibc's getopt does not work
  * New: ssl and krb5 support
* Mon Aug 30 2004 - werner@suse.de
- Update to bugfix release 11.4
* Thu Aug 19 2004 - werner@suse.de
- Make it option compatible with old mail program
- Update to 11.3
* Tue Aug 17 2004 - werner@suse.de
- Update to 11.2
* Fri Mar 26 2004 - mmj@suse.de
- Add postfix to # neededforbuild
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Mon Dec 08 2003 - werner@suse.de
- Update to version 10.6
* Tue Nov 11 2003 - werner@suse.de
- Fix handling of multiword e-mail addresses (bug #32115)
* Wed Jul 30 2003 - werner@suse.de
- Use charset of locale as default encoding if not set
* Wed Jul 02 2003 - ro@suse.de
- added symlink /usr/bin/mail (again)
* Wed Jul 02 2003 - werner@suse.de
- Update to nail 10.5
* Thu Feb 27 2003 - werner@suse.de
- Fix replyto patch for Replay and replay case
* Mon Feb 03 2003 - werner@suse.de
- Don't eat option id `+' isn't used anymore
- Accept comma seperated `to' list on command line
* Mon Jan 27 2003 - sf@suse.de
- removed '+' from optarg string to be able to mix
  argument order
* Thu Dec 19 2002 - werner@suse.de
- Move from mail-8.1.1 to nail-10.3 due of getting RFC 2046
- Port the reply-to patch to nail-10.3 in extension to replyto
  variable of nail configuration
* Thu Mar 07 2002 - werner@suse.de
- Include, enhance and test the reply-to patch from poc@pocnet.net.
  Useful for system notify mails behind firewalls or from header
  rewrite because those mails arn't uniq without reply address.
* Sat May 12 2001 - schwab@suse.de
- Fix missing declarations.
* Wed Nov 22 2000 - werner@suse.de
- Allow `/' within valid mail addresses
- Strip leading + of file name on command line
* Fri Oct 06 2000 - kukuk@suse.de
- change group tag
* Wed May 24 2000 - uli@suse.de
- moved docs to /usr/share
* Sat Feb 26 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Mon Sep 20 1999 - ro@suse.de
- added requires smtp_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Mar 22 1999 - werner@suse.de
- Add pine format for date
* Mon Mar 22 1999 - werner@suse.de
- Add a security fix
- Correct a old security fix to make it work
* Thu Jun 25 1998 - werner@suse.de
- No gid mail and not sgid mail: we do not use them
* Thu Jun 25 1998 - werner@suse.de
- Even if we are safe by dropping edid we want no buffer overflow
- Use IOSAFE implementation for glibc instead of fpurge
* Wed Jun 24 1998 - werner@suse.de
- Move from old debian version 8.5.5 (5.5-kw) to OpenBSD 8.1 release
  plus some changes from debian, redhat, and some own.
* Wed Feb 05 1997 - werner@suse.de
- Using mailx-5.5-kw/8.5.5-debian for mail
- Some changes to get emacs date mark on work in mail folders
- Some clean up in code
